#include "Island.hpp"

Island::Mesh::Mesh() : ConeMesh(
  0x10,
  0.5,
  true
) {
  rotateX(Math::PI).setColor(
    Color(Color::Cyan) /= 10
  ).setColor(
    0,
    0,
    0,
    Color::Magenta
  ).randomizeXZ(0.125).centralize().setLight();
}

const bool Island::isStatic() const {
  return true;
}

const Mesh& Island::getMesh() const {
  return mesh;
}
